screenlets (0.1.2-8.2~mx17+2) mx; urgency=medium

  * Disable D on python-gtkmozembed | python-gnome2-extras (<< 2.19).

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Jun 2018 13:22:23 -0700

screenlets (0.1.2-8.2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump to debhelper 9 compat.
  * Switch to 3.0 (quilt) source format.
  * Make most recommended packages hard Depends.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 May 2018 17:33:38 -0700

screenlets (0.1.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS.  Closes: #802139
  * Build using dh-python instead of python-support.  Closes: #786009

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Dec 2015 00:17:44 +0000

screenlets (0.1.2-8) unstable; urgency=low

  * Team Upload
  * Update debian/copyright to reflect upstream relicensing of included image
    files under a Free license (Closes: #618876)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Jul 2012 18:14:02 -0400

screenlets (0.1.2-7) unstable; urgency=medium

  * Urgency to medium to fix RC bug.
  * debian/rules: Really apply patches to fix the segfaults again. 
    (Closes: #536392)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 07 Aug 2009 23:53:44 +0200

screenlets (0.1.2-6) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/rules: Replace simple-patchsys by quilt.
  * debian/control: 
   - Build-depends on quilt.
   - Remove X{B,S}-Python-Version.
   - Bump Standards-Version to 3.8.2 (no change needed).
  * debian/pyversions : Add compatible versions.
  * debian/patches: 
   - 13-opacity-option.patch: Disable the opacity option if the screen 
     is not composited (Closes: #518179). 
   - 14-configuration-save.patch: From Ubuntu, save and restore the 
     configuration file in some cases. (LP: #345359)
   - 15-nowplaying-mpd-try.patch: Try to connect to mpd instead of forcing 
     the connection. (LP: #269256)
   - 16-clearweather-catch-connection-error.patch: From Ubuntu, catch 
     connection error on update (thanks Kjell Braden for the patch). 
     (LP: #264809)
   - 17-nowplaying-disable-amarok.patch: Disable Amarok 1.X support.
   - 18-nowplaying-rb-playing.patch: Avoid Dbus exception when checking 
     if the player is playing.
   - 19-remove-autostart-output.patch: Remove output when screenlets are
     autostarted. (LP: #318248)
   - Update patches to apply with quilt.
  * debian/README.source: Replace by the quilt one. 

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/screenlets.install:
   - Install the available translations (usr/share/locale) (LP: #386878).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 20 Jun 2009 16:33:51 +0200

screenlets (0.1.2-5) unstable; urgency=medium

  * Urgency to medium to fix RC bug.
  * debian/patches: Update description for all patches. 
  * debian/patches/12-new-class-creation.patch:
   - Use new-style class creation. This should avoid some segfaults 
   (Closes: #519664).
  * debian/control:
   - Remove python-dcop from suggests.
   - Bump the need of a compositor to recommends, because it's needed to deal 
     with transparency.
   - Following python-gnome2-desktop split.
    + Remove depends on python-gnome2-desktop
    + Add python-rsvg as depends.
    + Add python-wnck as depends, needed by screenlets-manager.
    + Add python-evolution as recommends, only needed by the 
      EvolutionContacts Screenlets.
    + Add python-gnomekeyring as recommends, as it's an optional feature.
   - Bump Standards-Version to 3.8.1 (no change needed). 

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 13 Apr 2009 21:48:26 +0200

screenlets (0.1.2-4) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/10-ImageMenuItem-update.patch
   - Replace get_children() by get_child() and get_image() following pygtk 
     modifications.
  * debian/11-xfce-wallpaper-setting.patch
   - Add a xfconf-query call to update desktop wallpaper (Closes: #497222).
  * debian/control
   - Suggest xfconf for WallpaperClock under XFCE, require for 
     11-xfce-wallpaper-setting.patch.
   - Switch from python-central to python-support.
   - Set XS-Python-Version to >= 2.4 
   - Remove duplicated section in binary.
  * debian/copyright
   - Replace (C) by ©.
  * debian/pycompat: Remove.
  * debian/rules: Switch from pycentral to pysupport.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 12 Mar 2009 00:24:34 +0100

screenlets (0.1.2-3) unstable; urgency=low

  * debian/patches
   - 04-install-wallclock-in-home.patch : install WallpaperClock in
     ~/.screenlets instead of /usr/share (Closes: #497127).
   - 05-places-no-bookmark.patch : don't crash Places Screenlets if there is
     no bookmark.
   - 06-main-menu-no-bookmark.patch : don't crash Main Menu Screenlets if
     there is no bookmark.
  * debian/rules
   - Remove feedparser.py in FeedReader Screenlet, already in
     python-feedparser.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 28 Sep 2008 01:29:35 +0200

screenlets (0.1.2-2) unstable; urgency=low

  * debian/install
   - Install prefix in /etc/screenlets/ (Closes: #488953)
  * debian/patches/01-scripts-cleanup.patch
   - Use "\n" to print correctly script output (Closes: #488952)
  * debian/rules
   - Only use uscan in get-orig-source.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 03 Jul 2008 23:21:09 +0200

screenlets (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   - Add python-imaging as Recommends for WallpaperClockScreenlet Screenlets.
   - Bump Standards-Version to 3.8.0 (no change needed).
   - Replace python-gnome2-extras with python-gtkmozembed, screenlets only use
     this module. (Closes: #485296)
  * debian/patches
   - 01-scripts-cleanup.patch: Update.
   - 02-fix-acpi-crash.patch: Add exception in ACPI Screenlets when there is 
     no battery.
   - 03-fix-wallpaperclock-location.patch: Test WallpaperClock location before 
     assignation.
   - 02_RSS_fix_import.patch: removed, merged upstream.
   - 03-sticky-on-XFCE.patch: removed, merged upstream.
   - 04-fix-clock-offset.patch: removed, merged upstream.
   - 05-disable-Numeric-import.patch: removed, merged upstream.
  * debian/rules
   - Don't remove empty directory, fixed upstream.
   - Install screenlets.1 and screenlets-daemon.1 man pages.
   - Add a get-orig-source to repack the tarball.
   - Delete empty directory in WallpaperClockScreenlet.
  * debian/copyright
   - Update Authors and Copyright.
  * debian/watch
   - Update to upload bz2 tarball.
  * Add screenlets.1 and screenlets-daemon.1 man pages.
  * Improve screenletsd.1, screenlets-manager.1 and screenlets-packager.1

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 04 Jun 2008 21:39:02 +0200

screenlets (0.1.1-2) unstable; urgency=low

  * debian/patches
   - 02_RSS_fix_import.patch : Don't crash the manager if python-feedparser
     is not installed.
   - 03-sticky-on-XFCE.patch : Keep sticky mode on restart for XFCE. 
     Thanks Luca Niccoli for the patch (Closes: #480672)
   - 04-fix-clock-offset.patch : From upstream, update date of Clock 
     Screenlet at midnight, even if there is an offset. (Closes: 
     #458788)
   - 05-disable-Numeric-import.patch : From upstream, disable import 
     Numeric, not necessary (Closes: #478462)
  * debian/control
   - Drop Depends on python-numeric. 

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 28 May 2008 00:01:13 +0200

screenlets (0.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #477313)
  * debian/control
   - Add evolution as Suggests for EvolutionContacts Screenlet.
   - Add tomboy as Suggests for Tomboy Screenlet.
   - Add gnome-orca as Suggests for Speech Screenlets.
  * debian/copyright
   - Update with new Screenlets.
  * debian/rules
   - Remove binary-predeb rules for *.conf and RadioScreenlet.py, fixed 
     upstream.
  * debian/patches/01-scipts-cleanup.patch
   - Update.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 08 May 2008 11:34:56 +0200

screenlets (0.1-1) unstable; urgency=low

  * New upstream release (Closes: #474510)
  * debian/patches
   - 02-Clean-Desktop.patch: removed, merged upstream.
   - 03-fix-menu-icon.patch: removed, merged upstream.
   - 05-clean-shebang.patch: removed, merged upstream.
   - 06-use-default-browser.patch: removed, merged upstream.
   - 01-scripts-cleanup.patch: Updated.
  * debian/control
   - Drop Build-Depends for the documentation.
   - Add python-gnome2-extras and iceweasel as Recommends for Web Screenlets.
  * debian/rules
   - Don't build documentation, included upstream.
   - Clean locale directory.
   - Fix 755 mode for png files.
  * debian/screenlets-doc.install
   - Update location of the documentation.
  * debian/copyright
   - Update to new Copyright for some screenlets. 

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 02 Apr 2008 19:42:37 +0200

screenlets (0.0.14-1) unstable; urgency=medium

  * New upstream release
  * Urgency to medium to fix RC bug (472024)
  * debian/rules
   - Remove rmdir for usr/lib, fixed with python-central 0.6 (Closes: #472024)
   - Move rm for feedparser.py to install/screenlets.
   - Add PYTHONPATH to build the documentation.
  * debian/patches
   - 01-scripts-cleanup.patch: delete bashism (Closes: #472897)
   - 05-clean-shebang.patch: remove useless shebang.
   - 06-use-default-browser.patch: Use default browser instead of Firefox.
   - 04-fix-crash-acpi.patch: removed, merged upstream.
   - 10-problem-on-create-tmpfile.patch: removed, merged upstream.
  * debian/control
   - Bump python-central Build-Depends to >= 0.6
   - Remove screenlets Build-Depends.
   - Add screenlets binary Depends to Build-Depends for the documentation.
   - Remove python-imaging as Recommends, SlideShow now doesn't use it.
  * debian/copyright
   - Update Copyright with new screenlets.
  * debian/watch
   - Switch to http, require by Launchpad.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 01 Apr 2008 20:38:48 +0200

screenlets (0.0.12-1) unstable; urgency=low
  
  * New upstream release.
  * debian/control
   - Add screenlets-doc binary.
   - Move python-central to Build-Depends-Indep.
   - Add python-epydoc, doc-base, python-docutils and screenlets 
     Build-Depends-Indep to build API documentation.
   - Add python-imaging as Recommends for SlideShow Screenlets.
   - Add python-feedparser as Recommends for ClearRSS Screenlets.
   - Add python-gmenu as Recommends for MainMenu Screenlet.
   - Add python-numeric as Recommends for CleanWeather Screenlet.
   - Add python-chardet as Recommends for ClearRSS Screenlet.
   - Wrap Build Depends and Depends.
   - Add Suggest metacity (>= 2.21.4) which support composite.
   - Add Suggest python-dcop for the NowPlaying Screenlets.
   - Mention in the description that Screenlets work also on non-composited 
     desktop.
  * debian/copyright
   - Update upstream authors.
   - Update Copyright and Licences.
  * debian/screenlets-doc.doc-base.screenlets
   - Add doc-base install file.
  * debian/rules
   - Build API docs.
   - Add a binary-predeb rule to delete empty /usr/lib folder and bad 
     theme folder.
   - Remove feedparser.py in ClearRSS Screenlet, already in python-feedparser.
   - Remove other rm and rmdir commands, handle by *.install files.
   - Fix 755 mode for conf files.
   - Add screenletsd.1 in man pages.
  * debian/screenlets.install
   - Rename install to screenlets.install to add screenlets-doc package.
   - Install D-Bus service properly.
  * debian/screenlets-doc.install
   - Install docs files.
  * debian/screenlets.link
   - Rename links to screenlets.links.
  * debian/patches
   - Drop 09-delete-example-files.patch, handle by *.install files.
   - Drop 01-Install-to-usr-directory.patch, merged upstream.
   - Drop 04-Fix-python-heritage-empaty.patch, merged upstream.
   - Drop 05-Test-in-home-dir.patch, merged upstream.
   - Drop 06-Fix-error-type-pager-windowslist.patch, merged upstream.
   - Drop 07-Add-python-to-autostart-files.patch, merged upstream.
   - Drop 03-Clean-hashbang-shebang.patch: merged upstream.
   - 01-scripts-cleanup.patch: Replace bash by sh, add exec and python in 
     some commands.
   - 02-Clean-Desktop.patch: Updated.
   - 03-fix-menu-icon.patch: Fix "non icon" bug in contextual menu.
  * debian/watch
   - Update to the new location of upstream tarball.
  * Debian/README
   - Update with the non-composite support.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 12 Mar 2008 22:00:30 +0100

screenlets (0.0.10-3) unstable; urgency=low
 
  [Marco Rodrigues]
  * Update Standards-Version to 3.7.3.

  [Julien Lavergne]
  * debian/patches:
   - 10-Import-screenlets-before-gtk.patch : Fix crash on startup with import 
  gtk module after screenlets module (Closes: #455219)
  * debian/rules:
   - Delete empty /usr/lib directory

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 17 Dec 2007 00:14:20 +0100

screenlets (0.0.10-2) unstable; urgency=low

  * debian/control : change priority to optional
  * debian/install
   - add dbus service for screenlets-daemon (Thanks Niv Sardi)
   - install svg image in /usr/share/icons/hicolor/scalable/apps/
  * debian/screenlets.links : add link for the new icon path
  * debian/rules : add upstream changelog
  * debian/patches
   - 08-add_timezone_support.patch : Add timezone support for ClockScreenlets (Thanks Niv Sardi)
   - 09-delete-example-files.patch : Delete examples until copyright fix
  * debian/screenlets-manager.1 & debian/screenlets-packager.1 : Clean man pages
   
 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 26 Nov 2007 23:50:01 +0100

screenlets (0.0.10-1) unstable; urgency=low

  [ Julien Lavergne ]
  * Initial release (Closes: #446783)
  * debian/patches/01-Install-to-usr-directory.patch : Install in /usr instead of /usr/local
  * debian/patches/02-Clean-Desktop.patch : Delete "Encoding", Exec screenlets-manager bin, 
  add Type=Application to screenlets.daemon, move screenlets-manager to Utility.
  * debian/patches/04-Fix-python-heritage-empaty.patch : Delete the () in python class.
  * debian/patches/05-Test-in-home-dir.patch : test if $HOME/.config/Screenlets exit 
  or create it, and create autostart file.
  * debian/patches/06-Fix-error-type-pager-windowslist.patch : Fix TypeError in 
  active_window_changed() when Pager and Windowlist screenlets are running, and fix crash with
  __setattr__
  * debian/patches/07-Add-python-to-autostart-files.patch : add "python" to autostart
  files to make sure they start at login.

  [ Kumar Appaiah ]
  * debian/patches/03-Clean-hashbang-shebang.patch : Remove shebang and use #!/bin/sh.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 19 Oct 2007 16:52:50 +0200
